Переполнение буфера в Quick Tftp Server Pro

Дата публикации:
27.03.2008
Дата изменения:
27.03.2008
Всего просмотров:
1039
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная сеть
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Quick Tftp Server Pro 2.x
Уязвимые версии: Quick Tftp Server Pro 2.1, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных при обработке mode полей. Удаленный пользователь может с помощью специально сформированного запроса на чтение или запись, содержащего слишком длинное поле mode вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.tallsoft.com/tftpserver.htm

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Quick TFTP Pro 2.1 Remote SEH Overflow Exploit (0day)

или введите имя

CAPTCHA